Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/08/2023 in all areas

  1. I am at a loss for drawing the integrated circuit model
    1 point
  2. Barely an inconvenience..... if you look through the code near the end you should find a line or 2 to create some mtext (command "mtext"...... change (command "mtext" scpt1 "J" "MC" scpt1 (strcat roomname "\n" (rtos mywidth 2 2) " x " (rtos myheight 2 2 )) "") to (command "mtext" scpt1 "J" "MC" scpt1 (strcat roomname "\n" (rtos mywidth 3 2) " x " (rtos myheight 3 2 )) "") the difference is the RTOS mode for mywidth and myheight. That should do it.
    1 point
  3. 1 point
  4. My bad that's what i get for working in notepad! As far as the error might have to tweak the move or rectangle command lines. This is why I don't like using command different software have different inputs. might need an extra "" after the pause in the move but IDK its working for me in BricsCAD.
    1 point
  5. OK So it you might have made something like this if you got it to work: (defun c:testthis ( / spt1 spt2 roomname a b c d scpt1 mywidth myheight) ;; after the '/' are local variable names (setq ;;setq: Tells LISP you are setting a variable spt1 (getpoint "\nPick the first point") ;;should be obvious what this does spt3 (getcorner "\nPick the next corner" spt1) ;;should be obvious what this does roomname (getstring "\nEnter Room Name: " T) ;;T allows spaces, else space acts as a return a (if (< (car spt1)(car spt3))(car spt1)(car spt3)) ;;Lower Left X coord car gives first item in a list, here x coord b (if (> (car spt1)(car spt3))(car spt1)(car spt3)) ;;Upper Right X coord c (if (< (cadr spt1)(cadr spt3))(cadr spt1)(cadr spt3)) ;;Lower Left y Coord cadr gives second item in a list, here y coord d (if (> (cadr spt1)(cadr spt3))(cadr spt1)(cadr spt3)) ;;Upper Right Y Coord ) (setq mywidth (abs (- a b))) ;;abs for absolute value (witohut = or -), (- is subtract (setq myheight (abs (- c d))) ;;center points (setq scpt1 (list (/ (+ a b) 2) (/ (+ c d) 2)) ) ;;create a coordinate which is a list (/ for divide (+ for add (command "mtext" scpt1 "J" "MC" scpt1 (strcat roomname "\n" (rtos mywidth 2 2) " x " (rtos myheight 2 2 )) "") ;;Command echos what you'd type in command line, anything in "" is a fixed value in else it is calculated ) Put a few notes in if you want to learn how it does what it does
    1 point
  6. Most likely the xref was copied into the drawing instead of inserted in throught xrefattach or it was inadvertantly copied while in the current drawing. "The xref will not delete due to multiple references". This reference (that u cannot see) will be found under blocks. The solution is to purge your blocks in the drawing and this will delete any reference to the xref in your drawing allowing u to delete the xref from the xref manager
    1 point
×
×
  • Create New...